18. June 2007 [V1.20 RC2]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Integration of the SourceMod plugin.
+ Added player action "headshot" raised by the SourceMod plugin (see upgrade_v120RC2.sql in the upgrade directory).
+ Added compatibility for the MetaMod: Source plugin "MiniStats" to display HLstatsX events ingame.
- Reworked all webpages for higher security against exploits.
- New coloring of the ingame messages with the SourceMod plugin.
Fixed: Game detection is not working correctly.
Fixed: All unicode characters are now allowed on player search and within the admin interface.


22. May 2007 [V1.20 RC1]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Integrated support for SourceMod.
+ Support for the new GoogleMap api version 2.
+ Option to define the minimum kills a player must have before taken into full account.
+ Full Support of native DoD:s events.
+ Integrated the two new css models artic and gsg9 into the flash movie (by Sandman).
+ Public Commands can now be disabled.
- Rewrite of the browser commands for SourceMod and Mani v1.2.
- The victims points change is now based on killer skill changes (if SkillMode > 0).
- Victims now see how many points they lost in the broadcast messages.
- Changed HLstatsX link in the header to work correctly with more then one game.
- Server name is now restricted to 255 characters (64 characters before).
- Included security fixes for the webpage.
- Removed Raw Sockets variable from standard configuration since it is not needed.
- Updated configuration file including SourceMod default configuration.
Fixed: Crash and no country data for name tracking mode.
Fixed: Break on date/time display on smaller resolutions.
Fixed: Announce command ma_hlx_csay is not working (missing target).
Fixed: False team-kills are recognized rarely.
Fixed: Special characters in the search are not allowed.
Fixed: "Best latency" award only in css.
Fixed: Error in display long server names in player history.


31. Mar 2006 [V1.01]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Global realtime player tracking included.
+ Name and IP-Tracking Mode now full working e.g. for LAN sessions.
+ Option to log chat history for each player (additional option to exclude admins).
+ Global chat for players to communicate between gameservers.
+ Smoother graphics in serverload graphs.
+ Integrated new models into the flash movie (by Sandman).
+ New option "SkillMinChange". Specifies the minimum number of skill points a player will
  gain for each frag. (Default is 2 skill points minimum change).
+ Integrated action events of VIP-Mod from LDuke.
+ Added dods images (weapons, maps) and de_nuke and cs_militia images for css (by Michael_Jim).
+ Kick reason if player want to connect on rank limited servers.
+ Added dods integration on webpages and dods events in sql file from various plugins.
+ New claninfo and action ingame webpages.
+ Support for CSS Deatmatch gametype.
+ Added commands for rank, session, kpd which results are displayed to all players.
- Updated function to display names on google map properly.
- Reworked ingame html files. Now all links to players and clans will work correctly.
- Safer way handle internal player array.
- Player pings are retrieved within a greater interval.
- Server status script displays noimage picture if map image is not available.
- Inactive clan members will no more displayed in detailled clan view.
- Reworked ingame AMX style menus.
- Broadcast public address to the masterserver if setup in the webinterface.
- Server graphics now displaying much smoother.
- Updated actions for Day of Defeat: Source to work with all plugins.
- Updated hlstats.sql file with larger varchar database entries.
- Default maximum skill change is now 25 points.
Fixed: Webpage Vulnerability.
Fixed: Socket functions for synchronization countries and vac banlist not working for 
       windows operating systems (Thx crazydew).
Fixed: Deathmatch awards not tracking the .357 magnum and wrong weapon image.
Fixed: Bot tracking on name changes.
Fixed: Statistics are displayed to other players after gameserver crash.
Fixed: Sometimes too much entries were displayed on next command.
Fixed: Smaller bugs.


29. Oct 2005 [V1.00 Final]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Server html page which displays the serverload on different ranges.
+ Game Images for source mods (thx to Vasili Vorotnikov).
+ Support for Day of Defeat: Source.
+ Added option that admins will not be switched from auto team-balance (SwitchAdmins in hlstats.conf).
+ Flash animation now displays different models on css games (by Sandman).
- Checking maxplayers and map every 10 minutes.
- Player connection time is now tracked on importing log files.
- Status and signature script now display flags as standard value.
- Not displaying contact if contact field is empty.
- Dynamic dns resolution of master server address (New parameter: --masterserver, to set ip address manually).
- Updated server overview page.
- Better support for non css games (status.php).
- Updated queries on masterserver communication.
Fixed: Search on "all" games and rewritten html formular part.
Fixed: Some crashes with function track_server_load.
Fixed: Server load graph for all servers showing wrong max_slots.
Fixed: Displaying bots on day ranking when ignoring bots is enabled.
Fixed: Global banning may end in an infinite loop on very rare situations (Thx DOH!Scorpion).
Fixed: Correct playercount on importing logs (Performance gain ~500%).
Fixed: Not displaying osd menu with kpd command if accuracy is 0.00.
Fixed: TRcon.pm crashing with negative strlen error.
Fixed: Minor bugs.

22. Aug 2005 [RC10]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Added forum signature script with 10 integrated backgrounds (Thx Michael_Jim).
+ Added favicon.ico (Thx Michael_Jim).
+ New predefined regions for Google Map. Map view type is now configurable.
- Updated ctf support file (MySQL/Weapon images).
- Reworked importing old logs.
- Improved mutiple game tracking.
- Creating upgrade directory for all MySQL files which only for upgrading from older versions.
- Renamed "set" command to "hlx_set" and "hideranking" command to "hlx_hideranking".
- Improved query of clan rankings page.
- Server address in overview now link to hlsw client.
Fixed: History is not calculated after day change while playing.
Fixed: Perl daemon crashing if gameserver is restarted.
Fixed: Infinite loop while rcon password was wrong.
Fixed: Wrong percentages in team statistics.
Fixed: Javascript error on startpage if mutiple games are installed.
Fixed: Flash hitbox displayed wrong arm and leg sides.
Fixed: Smaller bugs.


28. July 2005 [RC9]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Integration of bettlesmod. HLstatsX development in future will mainly focus on this plugin!
+ Extended functionally to get the players country and city from the masterserver.
+ Integrated google world map on webpage.
+ Top10-Players display as amx style menu.
+ Introducing "/next" command to display amx style menu with the players ranked ahead.
+ Tracking players total connection time and day performances.
+ Setting mode of "players loosing points" for getting killed (Server[]-array variable "SkillMode").
+ Adding Halflife 2 capture the flag support (game_ctf.sql).
- Webpage title show now the "sitename"  instead of HLstatsX.
- Reworked ingame webpages with small fonts.
- Now needed 3 players for getting ranked in clan ranking.
- Just one awards date to avoid confusions.
- If servers got > 5 minutes no events, map is detected again.
- Changing weapon and action logging. Webpages are much more faster now.
- Team balancing now working also with bots.
- Touched a hostage event is set to "0" points (game_css.sql).
Fixed: X/0 slot display.
Fixed: Rank on session start (-1). New players see "N/A" until the got a rank (=> 1 kill).
Fixed: Team-Killing message sometimes not showing new killer skill.
Fixed: Link color on displaying the TopX-Players (status.php).
Fixed: Switching the hitbox players sides (hitbox.swf).
Fixed: Styles working correctly on all ingame webpages.
Fixed: Bug on showing clans in motd.inc ingame.
Fixed: Division by zero error in server graphics on setup (show_graph.php).
Fixed: Activity display on rarely situations.
Fixed: Smaller bugs.


08. July 2005 [RC8]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Synchronization with the global banlist in administration web interface.
+ Optional display the content auf /session, /rank, /kpd in an ingame window on CSS servers (required Mani-Admin-Plugin V1.1.0o).
+ Players now can turn off displaying console events with "hlx_display 0"(required BroadCastEventsCommandSteamid == 1, PlayerEventsCommandSteamid == 1).
+ Using cvar sv_visiblemaxplayers to display maximum server slots correctly.
- The cheaterlist starts now with 0 minimum kills to show all cheaters.
- Updated Flashanimation. Colors now fit to the styles. Size reduced (-20kbyte).
- Events were deleted also when people are playing.
- Update all output in webpage and perl daemon to display formatted numbers.
- Cheaters and hidden players are no more listed in clan rankings.
- New default value "" for "PlayerEventsAdminCommand".
- Sending now Top200-Players to the global ranking. Value can changed with new variable "MasterServerTopPlayers".
- Auto commands call has changed to "hlx_auto".
Fixed: MySQL upgrade file missing some table changes (upgrade_hlstats_v132.sql).
Fixed: Clearing player team on map change (Switching DM to TDM therefore possible).
Fixed: Actplayers could now never be greater then maxplayers (HLstats_Server.pm).
Fixed: Showing graph axis not correct or with just on value (e.g. maxplayers = 13).


30. Juli 2005 [RC7]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ If broadcasting enabled all vac bans are reported to the masterserver and saved in a global banlist.
+ Optional show Flash Animation (by Sandman) for weapon targets (need SHOW_WEAPON_TARGET_FLASH = 1 in config.php).
+ Get the vac cheater listing ingame through "/cheaters" command.
- Response on setting auto commands.
- Server overview graphics range is now 24 hours.
- Minor changes in webpages.
Fixed: Removing margin in ingame webpages.
Fixed: Font color auf graphics are now dynamic to the style.
Fixed: On resetting statistics also resetting the hlstats_Servers tables data.
Fixed: Graph peaks on map change when bots are playing.
Fixed: Top line of graphics now never paint dotted.
Fixed: On importing logs from stdin not call rcon commands.
Fixed: Total player count on "skill" command not shown correctly on different games (Thx SoNiC).
Fixed: Shown player statistics on hl2mp on server overview.


26. Jun 2005 [RC6]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Detect VAC2 bans and hide automatically such players from ranking.
+ Cheater list table in the main menu (need SHOW_VAC_BANS = 1 in config.php).
+ Admin-Event History now shows Mani-Admin-Plugin and BeetlesMod.
Fixed: Load graph is displaying css graphs on hl2mp (game.inc).
Fixed: Maxplayers finally working also during map-change (HLstats_Server.pm).
Fixed: Now server resetting includes Hlstats_server_load and HLstats_Trend tables (Thx DOH!Scorpion).
Fixed: Display message on teamkills.
Fixed: Game images are now included for source engine.


23. Jun 2005 [RC5]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ HL2 Deathmatch support with images.
+ Upgrade sql file for hlstats V1.32 users (upgrade_hlstats_v132.sql).
+ Motd ingame include file. This shows Top-Players/Clans/Maps etc on startup (by Flashman).
- Changing admin access rights on restricted accounts. Now restricted accounts can also change styles and add servers. They can now even reset the statistics so be careful with your admin accounts!
- Set MinKill limit again to 5 as default.
- Standard of delete days is lowered to 14 days as default.
- Introduce game related sql files (game_hl2mp.sql/game_css.sql).
Fixed: Styles are back to business.
Fixed: Sometimes crashing on suicide events.
Fixed: TK penalty not working (got the suicide penalty points).
Fixed: Announcing ingame stats with "say" command.
Fixed: Not displaying correct maxplayers.
Fixed: HTML page width on stats with more than one game.
Fixed: Sytax error in hlstatsx.css (Thx Michael_Jim).


11. Jun 2005 [RC4]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Possibility to broadcast events only to the affected players (requires mani-admin-plugin).
+ New option to disable broadcasting PlayerActions (f.e touched a hostage, dropped the bomb etc).
+ Server script to show the actual server status on your homepage (status.php).
+ New options to make individual penalty points for teamkilling and suicides.
Fixed: Rcon crashes after some hours.
Fixed: Minor bugs.


06. Jun 2005 [RC3]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Added possibility to ignore bots from HLstatsX.
+ New rcon features, the connection will be renewed every 100 commands. This makes it possible to fix a broken connection.
Fixed: Crash on splitted source packets (Hopefully for ev1).


05. Jun 2005 [RC2]
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Added config.php in the web directory. Now only one file must be configured for php files.
+ Added new constant "IMAGE_PATH_URL" to avoid problems with not showing the graphs correctly. The value should point to your hlstats web directory WITHOUT "/hlstats.php" or trailing "/".
+ Added new options to the server array configuration. Now you can set MinPlayers for each server. Now it is also possible to specify admins. Those can turn on/off team-balancing (hlx_teams 0/1), aren't banned on retry (AutoBanRetry = 1) and they can play even if they don't match the positions limit (MinimumPlayersRank > 0).
- Small updates on ingame webpages.
- General easier way bringing graphics up running.
Fixed: Clanranking didn't work (execute update_rc1.sql in your database).
Fixed: On some purposes ingame displaying not working.
Fixed: Removing unnecessary hlstatsimg directory.


31. May 2005 [RC1]
--------------------------------------------------------------------------------------------------------------------------------------------- 
- Changed all webpages. The menu is now always on top of the page and all pages are shown over the complete width of the screen.


15. May 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Added possibility to set a required position-limit. If you wanna play on those servers you must have at least position <= limit (f.e. Top500-Servers).
+ New developing of HLstatsX-Proxy to send spoofed-packets over multiple servers.
+ Completely rewritten rcon-class since KKrcon version has a horrible way of working and performance problems (Performance gain ~500%).
+ It is now possible to display statistics ingame in an own window.
+ Complete new ingame framework.
+ Possibility to detect bans and make the ban "global" on all servers.
+ Graphical display from the server load.
+ Player activity for ranking (inactive players are not displayed anymore).
- Reworked MySQL-Queries.
Fixed: Many bugs. 


11. Apr 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
- Changed master server protocol to submit players and top-players (HLstats_Server.pm). 


10. Apr 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Changed way of socket handling. If no logs for parsing available hlstats optimizes the database, delete old events and can communicate with the master server (hlstats.pl).
- Empty servers are now reported to master server if MasterServerData > 0 (hlstats.pl and HLstats_Server.pm)


08. Apr 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Option to track only configurated servers. This is a BIG security thing to older versions!
+ New way of configuration in hlstats.conf. Now you can configure every single server. (Needs to change ConfigReaderSimple.pm)
+ Support for master server communication (http://www.statsme.de/master)
- Changed standard config behaviour for server. For now almost all extended options are turned off.
- Changed MySQL-Table hlstats_Servers. You have to include on more field (players int(11) NOT NULL default '0')
Fixed: Errors on htmlentities (playerinfo.inc)
Fixed: All known bugs (f.e. weblinks in navbar) 


04. Apr 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
- Reworked table design for better display on 1024x768. (game.inc, weapons.inc, players.inc, playerinfo.inc)
Fixed: Max-Players value is set automatically in database (HLStats_Server.pm) 


02. Apr 2005 
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Add possibility to get other players rank, session or kpd-data (Players userid as argument. f.e. "session 4501")
+ Statsme-events are only tracked if actplayers >= minplayers
Fixed: Hard-coded link to statsme.de in livestats (game.inc)
Fixed: Settings in the config-file now (hopefully) working, sorry for that :(


30. Mar 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
+ Added configurations-options, now everybody (hello admins :D) can use this modifcation.
+ Weapon-Accuracy informations fully integrated into the web-page
+ Server-Table now includes every related server-data (f.e. All shots from CTs :D) (Serverstats-Webpage is on the way...)
+ Better player tracking.
+ UTF-8 Header support.
Fixed: All known bugs from hlstats-versions around. (STEAM_ID_PENDING-problem is fixed!)


20. Mar 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
- Now you can work right from the start with the new MySQL-Design. Just use the hlstats.sql from here. 


18. Mar 2005
--------------------------------------------------------------------------------------------------------------------------------------------- 
- Initial release. 

